package Matrix3P;

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Oct 6, 2009
 * Time: 11:18:15 AM
 */
public class GameMatrix3P {
    private double[][][] p1,p2,p3;

    public GameMatrix3P(double[][][] p1, double[][][] p2, double[][][] p3){
        this.p1 = p1;
        this.p2 = p2;
        this.p3 = p3;
        printMatrix();
    }
    public void printMatrix(){
        for (int z=0;z<p1[0][0].length;z++){
            System.out.println("Pl 3 action "+z);
            for (int x=0;x<p1.length;x++){
                System.out.print(" [ ");
                for (int y=0;y<p1[x].length;y++){
                    System.out.print(""+p1[x][y][z]+","+p2[x][y][z]+","+p3[x][y][z]+"\t\t");
                    //if (y<p1[x].length-1)System.out.print(",");
                }
                System.out.println(" ]");
            }
            System.out.println();
        }
    }
    public int getActionsP1(){
        return p1.length;
    }
    public int getActionsP2(){
        return p1[0].length;
    }
    public int getActionsP3(){
        return p1[0][0].length;
    }

    public double[][][] getP1() {
        return p1;
    }
    public double[][][] getP2() {
        return p2;
    }
    public double[][][] getP3() {
        return p2;
    }

}
